org.osgi.resource.dto

## Class CapabilityRefDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.resource.dto.CapabilityRefDTO

    public class CapabilityRefDTO
    extends DTO

Data Transfer Object for a reference to a Capability.

Author:
  $Id$

### Field Summary

Fields
`int` `capability` The identifier of the capability in the resource.
`int` `resource` The identifier of the resource declaring the capability.

### Constructor Summary

Constructors
Constructor and Description
`CapabilityRefDTO()`

### Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### capability

    public int capability

The identifier of the capability in the resource.

See Also:
  `CapabilityDTO.id`

#### resource

    public int resource

The identifier of the resource declaring the capability.

See Also:
  `ResourceDTO.id`

### Constructor Detail

#### CapabilityRefDTO

    public CapabilityRefDTO()